MCP Gateway
ApiPortal

Get portal server detail

Get detailed view of a portal-visible server including its full tools list. Requires authentication.

GET
/api/v1/portal/servers/{server_id}

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

Path Parameters

server_id*string
Formatuuid
access_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/portal/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "display_name": "string",
  "description": "string",
  "portal_category": "string",
  "portal_tags": [
    "string"
  ],
  "credential_mode": "string",
  "tool_count": 0,
  "is_connected": false,
  "oauth_provider": "string",
  "oauth_app_id": "bf295b67-8583-439b-af58-e5af4617dc04",
  "created_at": "2019-08-24T14:15:22Z",
  "tools": [
    {}
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}